## plasma-welcome 6.4.5

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2021 Felipe Kinoshita <kinofhek@gmail.com>
# SPDX-FileCopyrightText: 2022 Nate Graham <nate@kde.org>

cmake_minimum_required(VERSION 3.16)
project(welcome)
set(PROJECT_VERSION "6.4.5")


set(PROJECT_DEP_VERSION "6.4.5")
set(QT_MIN_VERSION "6.8.0")
set(KF6_MIN_VERSION "6.14.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEClangFormat)
include(KDEGitCommitHooks)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(ECMQmlModule)
include(ECMDeprecationSettings)

set(DISTRO_CUSTOM_PAGE_FOLDER "/usr/share/plasma/plasma-welcome/extra-pages/" CACHE STRING "Folder on disk to find custom pages")
set(DISTRO_CUSTOM_INTRO_FILE "/usr/share/plasma/plasma-welcome/intro-customization.desktop" CACHE STRING "File specifying custom intro content")

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PLASMA_WELCOME
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/plasma-welcome-version.h"
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Network Qml QuickControls2 Svg)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Kirigami Config CoreAddons ConfigWidgets DBusAddons I18n KIO NewStuff Service WindowSystem DBusAddons KCMUtils Svg JobWidgets)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(KF6KirigamiAddons 1.2.0 REQUIRED)

find_package(KF6UserFeedback)
set_package_properties(KUserFeedback PROPERTIES
    DESCRIPTION "Framework for collecting user feedback for apps via telemetry and surveys"
    PURPOSE "Required for embedded User Feedback settings page"
    TYPE RUNTIME
)

ecm_set_disabled_deprecation_versions(QT 6.8.1
    KF 6.12.0
)

add_subdirectory(src)

install(PROGRAMS org.kde.plasma-welcome.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.plasma-welcome.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2021 Felipe Kinoshita <kinofhek@gmail.com>
# SPDX-FileCopyrightText: 2022 Nate Graham <nate@kde.org>
# SPDX-FileCopyrightText: 2024 Oliver Beard <olib141@outlook.com>

# KDED Module
add_subdirectory(kded)

# Public library (org.kde.plasma.welcome)
add_subdirectory(public)

# Application, including private library (org.kde.plasma.welcome.private)
add_executable(plasma-welcome)
ecm_add_qml_module(plasma-welcome URI "org.kde.plasma.welcome.private" GENERATE_PLUGIN_SOURCE DEPENDENCIES QtQuick)

configure_file(config-plasma-welcome.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-plasma-welcome.h)

target_sources(plasma-welcome PRIVATE
    main.cpp

    app.cpp
    qmlconfig.h
    release.cpp
    plasmacolors.cpp
)

ecm_target_qml_sources(plasma-welcome
    SOURCES
    qml/Main.qml
    qml/PageError.qml
    qml/ContributionCard.qml

    qml/footers/Footer.qml
    qml/footers/FooterDefault.qml
    qml/footers/FooterUpdate.qml

    qml/mock/MockCard.qml
    qml/mock/MockActivities.qml
    qml/mock/MockKRunner.qml
    qml/mock/MockOverview.qml
    qml/mock/MockPanel.qml
    qml/mock/panel/MockAppletBase.qml
    qml/mock/panel/MockKickoffApplet.qml
    qml/mock/panel/MockTaskManager.qml
    qml/mock/panel/MockSystemTrayApplet.qml
    qml/mock/panel/MockSystemTrayIcon.qml
    qml/mock/panel/MockDigitalClockApplet.qml
    qml/mock/panel/MockShowDesktopApplet.qml
    qml/mock/MockPlasmoid.qml
    qml/mock/InteractionInhibitor.qml

    qml/pages/PlasmaUpdate.qml
    qml/pages/Live.qml
    qml/pages/Welcome.qml
    qml/pages/Network.qml
    qml/pages/network/PlasmaNM.qml
    qml/pages/network/PlasmaNMLoader.qml
    qml/pages/SimpleByDefault.qml
    qml/pages/PowerfulWhenNeeded.qml
    qml/pages/powerfulwhenneeded/PlasmaFeatureCard.qml
    qml/pages/powerfulwhenneeded/Overview.qml
    qml/pages/powerfulwhenneeded/KRunner.qml
    qml/pages/powerfulwhenneeded/KDEConnect.qml
    qml/pages/powerfulwhenneeded/Activities.qml
    qml/pages/powerfulwhenneeded/Vaults.qml
    qml/pages/powerfulwhenneeded/SystemSettings.qml
    qml/pages/Discover.qml
    qml/pages/Feedback.qml
    qml/pages/Enjoy.qml
    qml/pages/enjoy/Supporters.qml

    RESOURCES
    assets/krita.png
    assets/endlesssky.png
    assets/konqi-kde-hi.png
    assets/konqi-default.png
)

target_compile_definitions(plasma-welcome PRIVATE "DISTRO_CUSTOM_PAGE_FOLDER=\"${DISTRO_CUSTOM_PAGE_FOLDER}\"")
target_compile_definitions(plasma-welcome PRIVATE "DISTRO_CUSTOM_INTRO_FILE=\"${DISTRO_CUSTOM_INTRO_FILE}\"")

target_link_libraries(plasma-welcome PRIVATE
    plasma-welcome-publicplugin # Link the plugin for the public library
    Qt::Core
    Qt::Gui
    Qt::Network
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Svg
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::DBusAddons
    KF6::I18n
    KF6::I18nQml
    KF6::JobWidgets
    KF6::KIOGui
    KF6::Service
    KF6::WindowSystem
    Plasma::Plasma
)

kconfig_add_kcfg_files(plasma-welcome GENERATE_MOC config.kcfgc)

ecm_finalize_qml_module(plasma-welcome)
install(TARGETS plasma-welcome ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/public/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Oliver Beard <olib141@outlook.com>

add_library(plasma-welcome-public STATIC)
ecm_add_qml_module(plasma-welcome-public URI "org.kde.plasma.welcome" GENERATE_PLUGIN_SOURCE)

target_sources(plasma-welcome-public PRIVATE
    controller.cpp
    distro.cpp
    utils.cpp

    configModule.cpp
    applicationInfo.cpp
)

ecm_target_qml_sources(plasma-welcome-public
    SOURCES
    qml/Page.qml
    qml/GenericPage.qml
    qml/ScrollablePage.qml
    qml/KCMPage.qml
    qml/ApplicationIcon.qml
)

target_link_libraries(plasma-welcome-public PRIVATE
    Qt::Core
    KF6::CoreAddons
    KF6::I18n
    KF6::JobWidgets
    KF6::KCMUtils
    KF6::KIOGui
)

ecm_finalize_qml_module(plasma-welcome-public)

=== debian/changelog ===
plasma-welcome (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:04:06 +0100

=== debian/control ===
Source: plasma-welcome
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.14.0~),
               kirigami-addons-dev (>= 1.2.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6configwidgets-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6jobwidgets-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6newstuff-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6svg-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkirigami-dev (>= 6.14.0~),
               libplasma-dev (>= 6.4.5~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.8.0~),
               qt6-svg-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/plasma/plasma-welcome
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-welcome
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-welcome

Package: plasma-welcome
Architecture: any
Depends: milou,
         plasma-desktoptheme,
         plasma-nm,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-plasma-plasma5support,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-effects,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE Plasma welcome center
 Welcome Center is the perfect introduction to KDE Plasma! It can help
 you learn how to connect to the internet, install apps, customize the
 system, and more!

## plasma-welcome 6.4.5+p24.04+vstable+git20250930.0511

=== debian/changelog ===
plasma-welcome (6.4.5+p24.04+vstable+git20250930.0511-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:11:37 +0000

plasma-welcome (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:52:56 +0000

plasma-welcome (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:34:24 +0000

## plasma-welcome 6.4.5+p24.04+vstable+git20251004.0531

=== debian/changelog ===
plasma-welcome (6.4.5+p24.04+vstable+git20251004.0531-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:31:04 +0000

## plasma-welcome 6.4.5+p24.04+vstable+git20251012.0052

=== debian/changelog ===
plasma-welcome (6.4.5+p24.04+vstable+git20251012.0052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 00:52:38 +0000

## plasma-welcome 6.4.5+p24.04+vstable+git20251017.0649

=== debian/changelog ===
plasma-welcome (6.4.5+p24.04+vstable+git20251017.0649-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 06:49:46 +0000

## plasma-welcome 6.4.91

=== debian/changelog ===
plasma-welcome (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Oct 2025 21:42:04 +0200

=== debian/control ===
Source: plasma-welcome
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               kirigami-addons-dev (>= 1.2.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6userfeedback-dev,
               libkf6windowsystem-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libplasma-dev (>= 6.4.91~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/plasma/plasma-welcome
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-welcome
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-welcome.git

Package: plasma-welcome
Architecture: any
Depends: milou,
         plasma-desktoptheme,
         plasma-nm,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-plasma-plasma5support,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-effects,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE Plasma welcome center
 Welcome Center is the perfect introduction to KDE Plasma! It can help
 you learn how to connect to the internet, install apps, customize the
 system, and more!

## plasma-welcome 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 cmake_minimum_required(VERSION 3.16)
 project(welcome)
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.5.0")
 
 
-set(PROJECT_DEP_VERSION "6.4.5")
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(PROJECT_DEP_VERSION "6.5.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -62,8 +62,8 @@
     TYPE RUNTIME
 )
 
-ecm_set_disabled_deprecation_versions(QT 6.8.1
-    KF 6.12.0
+ecm_set_disabled_deprecation_versions(QT 6.9.0
+    KF 6.16.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
plasma-welcome (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:00:59 +0200

=== debian/control ===
--- 
+++ 
@@ -24,13 +24,12 @@
                libkf6userfeedback-dev,
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.4.91~),
+               libplasma-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-declarative-private-dev,
                qt6-svg-dev (>= 6.9.0~),
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://invent.kde.org/plasma/plasma-welcome
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-welcome
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-welcome.git

## plasma-welcome 6.5.0+p24.04+vstable+git20251028.1236

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -58,22 +58,26 @@
     qml/pages/SimpleByDefault.qml
     qml/pages/PowerfulWhenNeeded.qml
     qml/pages/powerfulwhenneeded/PlasmaFeatureCard.qml
+    qml/pages/powerfulwhenneeded/MetaKey.qml
     qml/pages/powerfulwhenneeded/Overview.qml
     qml/pages/powerfulwhenneeded/KRunner.qml
     qml/pages/powerfulwhenneeded/KDEConnect.qml
     qml/pages/powerfulwhenneeded/Activities.qml
     qml/pages/powerfulwhenneeded/Vaults.qml
-    qml/pages/powerfulwhenneeded/SystemSettings.qml
     qml/pages/Discover.qml
     qml/pages/Feedback.qml
     qml/pages/Enjoy.qml
     qml/pages/enjoy/Supporters.qml
 
     RESOURCES
-    assets/krita.png
+    assets/blender.svg
     assets/endlesssky.png
+    assets/gimp.svg
+    assets/krita.svg
     assets/konqi-kde-hi.png
     assets/konqi-default.png
+    assets/kstars.svg
+    assets/vlc.png
 )
 
 target_compile_definitions(plasma-welcome PRIVATE "DISTRO_CUSTOM_PAGE_FOLDER=\"${DISTRO_CUSTOM_PAGE_FOLDER}\"")
@@ -95,7 +99,6 @@
     KF6::I18n
     KF6::I18nQml
     KF6::JobWidgets
-    KF6::KIOGui
     KF6::Service
     KF6::WindowSystem
     Plasma::Plasma

=== debian/changelog ===
plasma-welcome (6.5.0+p24.04+vstable+git20251028.1236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 12:36:29 +0000

plasma-welcome (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:50:47 +0000

=== debian/control ===
Source: plasma-welcome
Section: kde
Priority: optional
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kjobwidgets-dev,
               kf6-knewstuff-dev,
               kf6-kservice-dev,
               kf6-ksvg-dev,
               kf6-kuserfeedback-dev,
               kf6-kuserfeedback-dev,
               kf6-kwindowsystem-dev,
               libkaccounts-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/plasma/plasma-welcome
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma-welcome.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma-welcome
Maintainer: Neon CI <neon@kde.org>

Package: plasma-welcome
Architecture: any
Depends: kf6-kirigami2,
         kf6-knewstuff,
         libplasma6,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Welcome Center
 Welcome Center is the perfect introduction to KDE Plasma! It can help
 you learn how to connect to the internet, install apps, customize the
 system, and more!

## plasma-welcome 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,10 @@
 
 cmake_minimum_required(VERSION 3.16)
 project(welcome)
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 
 
-set(PROJECT_DEP_VERSION "6.5.0")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-welcome (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:16:35 +0100

=== debian/control ===
Source: plasma-welcome
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               kirigami-addons-dev (>= 1.2.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6userfeedback-dev,
               libkf6windowsystem-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libplasma-dev (>= 6.5.1~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-welcome
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-welcome
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-welcome.git

Package: plasma-welcome
Architecture: any
Depends: milou,
         plasma-desktoptheme,
         plasma-nm,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-plasma-plasma5support,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-effects,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE Plasma welcome center
 Welcome Center is the perfect introduction to KDE Plasma! It can help
 you learn how to connect to the internet, install apps, customize the
 system, and more!

## plasma-welcome 6.5.1+p24.04+vstable+git20251029.0829

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 project(welcome)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 
 set(PROJECT_DEP_VERSION "6.5.1")

=== debian/changelog ===
plasma-welcome (6.5.1+p24.04+vstable+git20251029.0829-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:29:31 +0000

plasma-welcome (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:18:49 +0000

## plasma-welcome 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set(PROJECT_VERSION "6.5.2")
 
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
@@ -37,6 +37,7 @@
 include(ECMPoQmTools)
 include(ECMQmlModule)
 include(ECMDeprecationSettings)
+include(ECMQtDeclareLoggingCategory)
 
 set(DISTRO_CUSTOM_PAGE_FOLDER "/usr/share/plasma/plasma-welcome/extra-pages/" CACHE STRING "Folder on disk to find custom pages")
 set(DISTRO_CUSTOM_INTRO_FILE "/usr/share/plasma/plasma-welcome/intro-customization.desktop" CACHE STRING "File specifying custom intro content")
@@ -73,4 +74,10 @@
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
+ecm_qt_install_logging_categories(
+    EXPORT WELCOME
+    FILE welcome.categories
+    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
+)
+
 ki18n_install(po)

=== src/kded/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2023 Oliver Beard <olib141@outlook.com>

kcoreaddons_add_plugin(kded_plasma-welcome INSTALL_NAMESPACE "kf6/kded")

ecm_qt_declare_logging_category(kded_plasma-welcome
    HEADER welcome_kded_debug.h
    IDENTIFIER WELCOME_KDED_LOG
    CATEGORY_NAME org.kde.plasma.welcome.kded
    DESCRIPTION "Welcome Center (KDED)"
    EXPORT WELCOME
)

target_sources(kded_plasma-welcome PRIVATE
    daemon.cpp
    daemon.h
)

target_link_libraries(kded_plasma-welcome PRIVATE
    Qt::Core
    KF6::DBusAddons
    KF6::KIOGui
    KF6::JobWidgets
)

=== debian/changelog ===
plasma-welcome (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:34:12 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf6userfeedback-dev,
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.1~),
+               libplasma-dev (>= 6.5.2~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-declarative-private-dev,

## plasma-welcome 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,10 @@
 
 cmake_minimum_required(VERSION 3.16)
 project(welcome)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 
 
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-welcome (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:25:54 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf6userfeedback-dev,
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.2~),
+               libplasma-dev (>= 6.5.3~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-declarative-private-dev,

## plasma-welcome 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,10 @@
 
 cmake_minimum_required(VERSION 3.16)
 project(welcome)
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 
 
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-welcome (6.5.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Detect QML-dependencies automatically (Closes: #1126490).
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Tue, 10 Feb 2026 05:07:51 +0100

plasma-welcome (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:53:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: plasma-welcome
 Section: kde
-Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               dh-sequence-qmldeps,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                kirigami-addons-dev (>= 1.2.0~),
@@ -24,12 +24,15 @@
                libkf6userfeedback-dev,
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.3~),
+               libplasma-dev (>= 6.5.4~),
+               milou,
+               plasma-nm,
+               qml6-module-org-kde-plasma-plasma5support,
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-declarative-private-dev,
                qt6-svg-dev (>= 6.9.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/plasma/plasma-welcome
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-welcome
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-welcome.git
@@ -39,15 +42,8 @@
 Depends: milou,
          plasma-desktoptheme,
          plasma-nm,
-         qml6-module-org-kde-kcmutils,
-         qml6-module-org-kde-kirigami,
-         qml6-module-org-kde-ksvg,
-         qml6-module-org-kde-plasma-plasma5support,
-         qml6-module-qtquick,
-         qml6-module-qtquick-controls,
-         qml6-module-qtquick-effects,
-         qml6-module-qtquick-layouts,
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Description: KDE Plasma welcome center
  Welcome Center is the perfect introduction to KDE Plasma! It can help

## plasma-welcome 6.5.4+p24.04+vstable+git20251223.0153

=== debian/changelog ===
plasma-welcome (6.5.4+p24.04+vstable+git20251223.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 23 Dec 2025 01:53:28 +0000

plasma-welcome (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:40 +1000

plasma-welcome (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:12:25 +1000

plasma-welcome (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:11:52 +1000

## plasma-welcome 6.5.4+p24.04+vstable+git20251231.0303

=== debian/changelog ===
plasma-welcome (6.5.4+p24.04+vstable+git20251231.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:03:04 +0000

## plasma-welcome 6.5.4+p24.04+vunstable+git20251209.1202

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,10 @@
 
 cmake_minimum_required(VERSION 3.16)
 project(welcome)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.80")
 
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-welcome (6.5.4+p24.04+vunstable+git20251209.1202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 12:02:23 +0000

## plasma-welcome 6.5.5

=== debian/changelog ===
plasma-welcome (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:08:12 +0000

plasma-welcome (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:21:15 +0000

plasma-welcome (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:09:50 +0000

plasma-welcome (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:14:32 +0000

plasma-welcome (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:48:53 +0000

plasma-welcome (6.5.0-0ubuntu2) resolute; urgency=medium

  * Add missing runtime depend on qml6-module-qtnetwork. (LP: #2129931)

 -- Rik Mills <rikmills@kde.org>  Mon, 27 Oct 2025 12:58:39 +0000

plasma-welcome (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:39:36 +0100

=== debian/control ===
Source: plasma-welcome
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.18.0~),
               kirigami-addons-dev (>= 1.2.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libplasma-dev (>= 6.5.5~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/plasma/plasma-welcome
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-welcome
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-welcome

Package: plasma-welcome
Architecture: any
Depends: milou,
         plasma-desktoptheme,
         plasma-nm,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-plasma-plasma5support,
         qml6-module-qtnetwork,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-effects,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE Plasma welcome center
 Welcome Center is the perfect introduction to KDE Plasma! It can help
 you learn how to connect to the internet, install apps, customize the
 system, and more!

## plasma-welcome 6.5.5+p24.04+vstable+git20260201.0239

=== debian/changelog ===
plasma-welcome (6.5.5+p24.04+vstable+git20260201.0239-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:39:30 +0000

plasma-welcome (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:12 +1000

## plasma-welcome 6.5.5+p24.04+vstable+git20260202.1057

=== debian/changelog ===
plasma-welcome (6.5.5+p24.04+vstable+git20260202.1057-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:57:29 +0000

## plasma-welcome 6.5.5+p24.04+vunstable+git20260202.0929

=== debian/changelog ===
plasma-welcome (6.5.5+p24.04+vunstable+git20260202.0929-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:29:08 +0000

## plasma-welcome 6.5.5+p24.04+vunstable+git20260204.0845

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 cmake_minimum_required(VERSION 3.16)
 project(welcome)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.6.80")
 
 
-set(PROJECT_DEP_VERSION "6.4.90")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
plasma-welcome (6.5.5+p24.04+vunstable+git20260204.0845-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 08:45:29 +0000

## plasma-welcome 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,10 @@
 
 cmake_minimum_required(VERSION 3.16)
 project(welcome)
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 
 
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.1")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== src/kded/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2023 Oliver Beard <olib141@outlook.com>

kcoreaddons_add_plugin(kded_plasma_welcome INSTALL_NAMESPACE "kf6/kded")

ecm_qt_declare_logging_category(kded_plasma_welcome
    HEADER welcome_kded_debug.h
    IDENTIFIER WELCOME_KDED_LOG
    CATEGORY_NAME org.kde.plasma.welcome.kded
    DESCRIPTION "Welcome Center (KDED)"
    EXPORT WELCOME
)

target_sources(kded_plasma_welcome PRIVATE
    daemon.cpp
    daemon.h
)

target_link_libraries(kded_plasma_welcome PRIVATE
    Qt::Core
    KF6::DBusAddons
    KF6::KIOGui
    KF6::JobWidgets
)

=== debian/changelog ===
plasma-welcome (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:16:54 +0000

plasma-welcome (6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:10:17 +0000

=== debian/control ===
--- 
+++ 
@@ -9,27 +9,27 @@
                debhelper-compat (= 13),
                dh-apparmor,
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                kirigami-addons-dev (>= 1.2.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6configwidgets-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6jobwidgets-dev (>= 6.18.0~),
-               libkf6kcmutils-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6newstuff-dev (>= 6.18.0~),
-               libkf6notifications-dev (>= 6.18.0~),
-               libkf6service-dev (>= 6.18.0~),
-               libkf6svg-dev (>= 6.18.0~),
-               libkf6windowsystem-dev (>= 6.18.0~),
-               libkirigami-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.5~),
-               qt6-base-dev (>= 6.9.0~),
-               qt6-declarative-dev (>= 6.9.0~),
-               qt6-declarative-private-dev (>= 6.9.0~),
-               qt6-svg-dev (>= 6.9.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6configwidgets-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6jobwidgets-dev (>= 6.22.0~),
+               libkf6kcmutils-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6newstuff-dev (>= 6.22.0~),
+               libkf6notifications-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkf6svg-dev (>= 6.22.0~),
+               libkf6windowsystem-dev (>= 6.22.0~),
+               libkirigami-dev (>= 6.22.0~),
+               libplasma-dev (>= 6.6.1~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-declarative-private-dev (>= 6.10.0~),
+               qt6-svg-dev (>= 6.10.0~),
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/plasma/plasma-welcome

## plasma-welcome 6.6.2

=== debian/changelog ===
plasma-welcome (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:24:55 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkf6svg-dev (>= 6.22.0~),
                libkf6windowsystem-dev (>= 6.22.0~),
                libkirigami-dev (>= 6.22.0~),
-               libplasma-dev (>= 6.6.1~),
+               libplasma-dev (>= 6.6.2~),
                qt6-base-dev (>= 6.10.0~),
                qt6-declarative-dev (>= 6.10.0~),
                qt6-declarative-private-dev (>= 6.10.0~),
